Bug 921497 - Incorrect *.py[co] files placement
Summary: Incorrect *.py[co] files placement
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Cholasta
QA Contact: IDM QE LIST
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-14 10:36 UTC by Branislav Náter
Modified: 2016-11-04 05:43 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:43:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Branislav Náter 2013-03-14 10:36:35 UTC
Description of problem:
(cannot found ipa-python component)

We are doing some checks regarding correct placement of *.py[co] files in rpm packages.

In your x86_64 package, we found *.py[co] files placed under /usr/lib/ directory. Our test expect *.py[co] files from 64b package to be placed in /usr/lib64/ dir or package to be build as noarch package.

Could you please move files to /usr/lib64?
Or should this package be build as noarch?

Version-Release number of selected component (if applicable):
ipa-python-3.1.0-1.el7.x86_64.rpm

Actual results:
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/__init__.py$                                                                           
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/__init__.pyc$
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/__init__.pyo$
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/aci.py$
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/aci.pyc$
ipa-python-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipalib/aci.pyo$

Expected results:
Correct placement of files under /usr/lib64 or build package as noarch

Comment 2 Branislav Náter 2013-03-14 12:12:23 UTC
And the same issue in ipa-server-trust-ad, ipa-server and ipa-client rpms:

ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/dcerpc.py$
ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/dcerpc.pyc$
ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/dcerpc.pyo$
ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/adtrustinstance.py$
ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/adtrustinstance.pyc$
ipa-server-trust-ad-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/adtrustinstance.pyo
<snip>

ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/__init__.py$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/__init__.pyc$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/__init__.pyo$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/__init__.py$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/__init__.pyc$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/__init__.pyo$
ipa-server-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaserver/install/bindinstance.py
<snip>

ipa-client-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaclient/__init__.py$
ipa-client-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaclient/__init__.pyc$
ipa-client-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaclient/__init__.pyo$
ipa-client-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaclient/ipachangeconf.py$                                                             
ipa-client-3.1.0-1.el7.x86_64.rpm]: /usr/lib/python2.7/site-packages/ipaclient/ipachangeconf.pyc
<snip>

Comment 3 Martin Kosek 2013-03-14 12:42:37 UTC
A related Bugzilla exists:
https://fedorahosted.org/freeipa/ticket/3197

It seems that a solution for this issue would be to either separate python stuff to noarch packages as Petr suggested in 3197 or move py files to /usr/lib64/python...

Comment 4 Martin Kosek 2013-03-18 12:54:30 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3517

Comment 7 Martin Kosek 2016-06-10 07:57:31 UTC
There are improvements in the FreeIPA/IdM Python packaging in FreeIPA 4.3.2+. Jan, is this bug addressed completely and can be thus targeting marked as MODIFIED after rebase, or will there still be some of the reported faulty Python packaging left?

Comment 8 Jan Cholasta 2016-06-10 12:47:28 UTC
Yes, this will be adressed by the rebase. In fact, it is adressed in the last 7.3 build, ipa-4.3.1-0.201605241723GIT1b427d3.el7.1.

Comment 11 Scott Poore 2016-07-07 20:25:10 UTC
Verified.

Version::
python2-ipalib-4.4.0-1.el7.noarch

others below in results.


Results :;

Looks like the arch of the packages with *.py[co] files changed to noarch.

[root@master site-packages]# rpm -ql python2-ipaserver-4.4.0-1.el7.noarch|grep py[co]|grep /usr/lib/|wc -l
276

[root@master site-packages]# rpm -ql python2-ipalib-4.4.0-1.el7.noarch|grep py[co]|grep /usr/lib/|wc -l
184

[root@master site-packages]# rpm -ql python2-ipaclient-4.4.0-1.el7.noarch|grep py[co]|grep /usr/lib/|wc -l
452

The x86_64 packaged don't appear to have any py[co] files from what I can tell:

[root@master site-packages]# rpm -ql ipa-server-4.4.0-1.el7.x86_64|grep py[co]|grep /usr/lib/|wc -l
0

[root@master site-packages]# rpm -ql sssd-ipa-1.14.0-0.2.beta1.el7.x86_64|grep py[co]|grep /usr/lib/|wc -l
0

[root@master site-packages]# rpm -ql python-libipa_hbac-1.14.0-0.2.beta1.el7.x86_64 |grep /usr/lib/|wc -l
0

[root@master site-packages]# rpm -ql ipa-client-4.4.0-1.el7.x86_64 |grep /usr/lib/|wc -l
0

[root@master site-packages]# rpm -ql libipa_hbac-1.14.0-0.2.beta1.el7.x86_64 | grep /usr/lib/|wc -l
0

Comment 13 errata-xmlrpc 2016-11-04 05:43:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.